[Flame][Contacts]The "Birthday" on value selector button is displayed with truncation.

VERIFIED INVALID

Status

Firefox OS
Gaia::Contacts
VERIFIED INVALID
3 years ago
3 years ago

People

(Reporter: Lancy(Leave from Mozilla), Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(tracking-b2g:backlog, b2g-v2.1 affected, b2g-v2.2 affected)

Details

(Whiteboard: LocRun2.2, )

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Created attachment 8596401 [details]
Screenshot_Birthday.png

[1.Description]:
[Flame][v2.1&v2.2][Contacts]Enter new contact view, the "Birthday" on value selector button are displayed with truncation.
See attachment:Screenshot_new contact.png.

[2.Testing Steps]: 
1.Set your phone language to Spanish.
2.Lanch Contacts and taop "+" button to enter new contact view.
3.Scroll the view.

[3.Expected Result]: 
3.The "Birthday" on value selector button should not  be displayed with truncation.

[4.Actual Result]: 
3.The "Birthday" on value selector button is displayed with truncation.

[5.Reproduction build]: 
Device: Flame 2.2 user build (Affected)
Build ID               20150422002505
Gaia Revision          41a85c5f9db291d4f7c0e94c8416b5115b4ee407
Gaia Date              2015-04-21 17:23:41
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/a87a05e7d0ef
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150422.040316
Firmware Date          Wed Apr 22 04:03:27 EDT 2015
Bootloader             L1TC000118D0

Device Flame 2.1 user build (Affected)
Build ID               20150422001201
Gaia Revision          bbe983b4e8bebfec26b3726b79568a22d667223c
Gaia Date              2015-04-09 13:52:48
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/685fa69b59dc
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150422.035556
Firmware Date          Wed Apr 22 03:56:07 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
Free Test
(Reporter)

Updated

3 years ago
status-b2g-v2.1: --- → affected
status-b2g-v2.2: --- → affected
See Also: → bug 1157172
tracking-b2g: --- → backlog
Created attachment 8599171 [details]
Russian_Birthday.png

According to the STR of comment 0, "Birthday" is truncated when system language is in Russian on flame 2.2 &2.1
Reproducing rate: 5/5

Device: Flame 2.1 user (Affected)
Build ID               20150428001200
Gaia Revision          bbe983b4e8bebfec26b3726b79568a22d667223c
Gaia Date              2015-04-09 13:52:48
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/5f2c57b580ff
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150428.035731
Firmware Date          Tue Apr 28 03:57:42 EDT 2015
Bootloader             L1TC00011

Device: Flame 2.2 user (Affected)
Build ID               20150428002500
Gaia Revision          9f6b1b9082662ba2c14168fc66bb02b4df3141e5
Gaia Date              2015-04-27 20:41:33
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/e79c19bf19bf
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150428.042314
Firmware Date          Tue Apr 28 04:23:26 EDT 2015
Bootloader             L1TC000118D0
Whiteboard: LocRun2.2, MGSEI-l10n-1F-Spanish → LocRun2.2, MGSEI-l10n-1F-Spanish, MGSEI-l10n-1F-Russian
Created attachment 8604583 [details]
Basque_Birthday.png

* This problem cannot be reproduced on latest Flame 2.2 user build in Serbian Cyrillic, Bengali from India, Greek, Polish, Portuguese from Brazil, Portuguese from Portugal, Arabic languages.
* It can be reproduced on latest Flame 2.2 user build in Basque.
Please see attachments: Basque_Birthday.png

Device: Flame2.1 user
Build ID               20150511001203
Gaia Revision          3e7bd686ecd852f4dfa4605b45f558e6bd34f02a
Gaia Date              2015-05-07 15:12:34
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/de4ebfdc7db6
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150511.033638
Firmware Date          Mon May 11 03:36:49 EDT 2015
Bootloader             L1TC000118D0

Device: Flame2.2 user
Build ID               20150511162500
Gaia Revision          c4c1bf443f2b01c2ba918780510fd4c639a3c360
Gaia Date              2015-05-11 14:12:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/70782f19acbf
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150511.195649
Firmware Date          Mon May 11 19:56:59 EDT 2015
Bootloader             L1TC000118D0
Shine: please file a Mozilla Localizations bugs for Basque, so localizer can try to shorten that string. thanks!
Flags: needinfo?(yue.xia)
See Also: → bug 1164320
Hi Delphine,
I have filed Mozilla Localizations bug 1164320 for Basque language.
Thanks!
Flags: needinfo?(yue.xia)

Comment 5

3 years ago
According comment1 ,filed Mozilla Localizations bug 1164381 for Russian.
Thanks!
See Also: → bug 1164381
QA Whiteboard: [MGSEI-l10n-1F]
Whiteboard: LocRun2.2, MGSEI-l10n-1F-Spanish, MGSEI-l10n-1F-Russian → LocRun2.2,
Closing this bug as l10n follow-up bugs were filed.
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → INVALID
(Reporter)

Updated

3 years ago
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.